{$A+,B-,D-,E+,F+,G+,I-,L-,N+,O-,R-,S+,V+,X+}
{$M 16384,0,655360}
{**************************************************************************}
{          copyright, A. Ruben,  Dresden / Burscheid, 25.01.93             }
{**************************************************************************}
PROGRAM CAMAC_Test;

USES DOS, CRT, CAM_TU16;

VAR n1,f1,a1 : integer;
    q,x      : boolean;
    data     : longint;

BEGIN
   cam_controller_ini($300);
   n1:=1;
   clrscr;
   writeln('            W-IE-NE-R CC16/PC16 DEMONSTRATION  ');
   writeln('   ------------------------------------------------- ');
   writeln;
   writeln;
   writeln(' NAF code operation demonstration (F=0 to stop) ');
   writeln;
   writeln(' copyright Plein & Baus GmbH, Burscheid/Germany - VI/94 ');
   writeln;
   writeln;

{ demonstration of clear, inhibit and inizialise}

   cam_c;
   cam_i;
   cam_z;

{ demonstration of NAF read and write operations}

   while n1 <> 0 do
   begin
     writeln('   -------------------------------------------------  ');
     writeln;
     write(' CAMAC station number   N=  ');
     readln( n1);
     write(' CAMAC function number  F=  ');
     readln( f1);
     write(' CAMAC subaddress       A=  ');
     readln(a1);
     writeln;
     if (f1>8) then
     begin
       write(' data to write : ');
       read(data);
       cam_nfaqx_write24(n1,f1,a1,data,q,x);
       writeln('                 Q= ',q,'    X= ',x);
     end
     else begin
       cam_nfaqx_read24(n1,f1,a1,data,q,x);
       write(' data= ',data);
       writeln('      Q= ',q,'    X= ',x);
     end;
   end;
END.
