/*
This header defines the basic functions for logging and
displaying information in the PelLib classes.
Please include this file in the .cxx file

AAPSuaide (2004) 
*/
#ifndef __log__
#define __log__
#ifndef __CINT__

#include <iostream>
#include <fstream>
#include <stdarg.h>
#include <stdlib.h>
#include "TGTextView.h"
#include "TGMsgBox.h"
#include "TROOT.h"
#include "TString.h"
#include "TSystem.h"
#include "TGClient.h"
#include "TDatime.h"
using namespace std;

void        openLog(char*);
void        appendLog(char*);
void        closeLog();
void        setTextView(TGTextView*);
ofstream*   getLog();
TGTextView* getView();
bool        fileExists(char*);
float       convertToSeconds(char*);
void        message(int,char*,char*);
bool        yesno(char*,char*);
bool        overwrite(char*);
void        log(int,const char*,...);
void        log(const char*,...);
void        openHelp(char* url="http://www.dfn.if.usp.br/~suaide/pelletron/");

#endif
#endif
